> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/basic-operations/basics/pdf-thumbnails.md).

# Generate PDF page thumbnails in Xamarin

Learn how to display PDF document page thumbnails in Xamarin.Android using Apryse's library. Get thumbnail Bitmap images for each page with PDFViewCtrl. Cancel thumbnail requests easily. The Apryse Xa

{% hint style="info" %}
**This tutorial only applies to Xamarin.Android.**
{% endhint %}

{% hint style="info" %}
Apryse's library provides a page thumbnail dialog which shows thumbnails of all PDF document pages. Fore more information, see [thumbnail browser ](/xamarin/page-manipulation/thumbnail-browser.md#android).
{% endhint %}

With [`PDFViewCtrl`](https://sdk.apryse.com/api/xamarinandroid/pdfnet/api/pdftron.PDF.PDFViewCtrl.html), you can get a thumbnail [`Bitmap`](https://developer.android.com/reference/android/graphics/Bitmap.html) image for each page in a PDF document.

The following example request thumbnail for page 3:

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
pdfViewCtrl.ThumbAsync += (sender, e) =>
{
    var bitmap = Bitmap.CreateBitmap(e.Width, e.Height, Bitmap.Config.Argb8888);
    bitmap.SetPixels(e.Buf, 0, e.Width, 0, 0, e.Width, e.Height);
    // use the bitmap
};

// request thumbnail for page 3
pdfViewCtrl.GetThumbAsync(3);
```

{% endcode %}
{% endtab %}
{% endtabs %}

where `pdfViewCtrl` is an instance of `PDFViewCtrl`.

{% hint style="info" %}
It is recommended you cancel all thumbnail requests once they are no longer needed. To cancel all thumbnail request, use `PDFViewCtrl.cancelAllThumbRequests()`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/basic-operations/basics/pdf-thumbnails.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
